Subject: 25.1.50; Buffer encoding corrupted up by 'make' in shell-mode
From: John Wiegley <[email-masked]>
To: [email-masked]
Cc: Simon Peyton Jones <[email-masked]>
Date: Wed, 19 Oct 2016 10:32:36 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I have a friend who is using Emacs 24.5 on Windows, and who is experiencing a
strange behavior: Unicode quotes display properly, but after *invoking* a
'make' command -- even with its output fully redirected to a file -- buffer
decoding begins to fail, causing later quotes to be display as escape codes.

I'm attaching a screenshot from his machine, to show the behavior:

Note that in a fresh shell, cat'ing the saved file (test-output) does NOT mess
up the quotes. So it's a mysterious side-effect of calling 'make'. Also,
saying 'make xxxx' where xxxx is not a valid target, produces the appropriate
error message and does not mess up the quotes.

Any ideas?

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2